#ifndef COLLISIONS_H
#define COLLISIONS_H

#include "deformobj.h"

struct Collisions{
   float boxleft, boxright, boxfloor, boxceiling;
   float boxfriction, objectfriction;

   void resolve_all_collisions(std::vector<DeformObj> &object);

   bool resolve_against_box(const Vec2f &oldx, Vec2f &x, Vec2f &v);
   bool resolve_against_object(const Vec2f &oldx, Vec2f &x, Vec2f &v, DeformObj &obj, int exclude_node=-1);
};

#endif
